#ifndef __ERAM_H__
#define __ERAM_H__ 

#include <zephyr.h>
#include <zephyr/types.h>
#include <stddef.h>
#include <string.h>
#include <errno.h>
#include <sys/printk.h>
#include <sys/byteorder.h>

#include "spi.h"

#define ERAM_MEMORY_SIZE			0x00080000					// 512kB

#define ERAM_DIE_ADDR_BOUNDARY		((ERAM_MEMORY_SIZE)/2)


void initERAM(void);
void writeDataERAM(uint32_t addr, uint8_t * data, uint16_t size);
void readDataERAM(uint32_t addr, uint8_t * data, uint16_t size);
uint8_t readModeRegERAM();
void writeModeRegERAM(uint8_t data);
void chkERAM(void);


#endif
