#ifndef __SENSOR_H__
#define __SENSOR_H__

#include <zephyr.h>
#include <zephyr/types.h>
#include <stddef.h>
#include <string.h>
#include <errno.h>
#include <sys/printk.h>
#include <sys/byteorder.h>
#include "audio.h"

#define ACCEL_BUFFER_SIZE				16

#define ACCEL_X_DELTA		40
#define ACCEL_Y_DELTA		40
#define ACCEL_Z_DELTA		40

#define SENSOR_ACCEL_REINIT_MAX_CNT		3
// period during which accelerometer has to be quite for capture to be re-triggered
// 50 value means 500ms accelerometer has to be without vibration
#define SENSOR_IDLE_PERIOD				50		// x10ms (timer IRQ period scale)

typedef struct
{
	uint16_t accel_widx;
	int16_t accel_x_data[ACCEL_BUFFER_SIZE];
	int16_t accel_y_data[ACCEL_BUFFER_SIZE];
	int16_t accel_z_data[ACCEL_BUFFER_SIZE];
	int32_t accel_x_avr;
	int32_t accel_y_avr;
	int32_t accel_z_avr;
	uint8_t accel_reinit_cnt;
	uint8_t prev_rflag;
	
} SENSOR_INFO;

void initSENSOR(void);
void clearAccelFifoSENSOR(void);
void procAccelDataSENSOR(uint16_t x, uint16_t y, uint16_t z);
void begSENSOR(void);
void endSENSOR(void);

extern volatile SENSOR_INFO g_SENSOR_INFO; 
extern struct k_timer accel_timer;
extern struct k_poll_signal signal_accel_action;

#endif 
